Bug 503267 - x server restarts on vt7, not vt1
x server restarts on vt7, not vt1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 05:59 EDT by pankaj pandey
Modified: 2013-12-09 11:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 11:09:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pankaj pandey 2009-05-30 05:59:40 EDT
Description of problem:
At bootup the initial x server starts in vt1, however when it is restarted, example by logging out and logging back in, the x server starts in vt7 and not vt1 as expected


Version-Release number of selected component (if applicable):
Updated fedora 11, installed using live-usb
kernel 2.6.29.4-167.fc11.x86_64
i have intel integrated graphics on 965 chipset on a laptop

How reproducible:
always

Steps to Reproduce:
1. On boot verift that xserver in vt1
2. Login, logout and then login again
3. Verify that xserver is now on vt7
  
Actual results:
xserver restarts on vt7

Expected results:
xserver should start normally on vt1

Additional info:
Comment 1 Bug Zapper 2009-06-09 12:50:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 seventhguardian 2009-10-14 18:02:23 EDT
Still present in rawhide 12.
Comment 3 Matěj Cepl 2009-11-05 13:30:19 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 pankaj pandey 2009-11-06 10:45:41 EST
The problem still persists in both updated Fedora 11 as well as updated Fedora 12
Comment 5 Bug Zapper 2010-04-27 10:35:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Braden McDaniel 2010-04-27 10:42:32 EDT
I'm still seeing this on F13.
Comment 7 Satish Balay 2010-12-23 12:27:01 EST
Its on F14 aswell..
Comment 8 Andre Robatino 2011-02-23 13:50:56 EST
Seeing this on F15 and Rawhide as well - please set the Version to Rawhide.
Comment 9 Andrew Travneff 2011-03-08 10:31:19 EST
Also seen this on F15. More info here: https://bugzilla.redhat.com/show_bug.cgi?id=683089
Comment 10 Fedora End Of Life 2013-04-03 15:58:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Adam Jackson 2013-12-09 11:09:47 EST
The X server starts where you tell it, or on the first available VT if you don't tell it.  Picking a consistent place is not the job of the X server.  It'd be up to gdm or systemd, if anything, but in the face of fast user switching it's pretty much impossible to guarantee anything predictable anyway.

Note You need to log in before you can comment on or make changes to this bug.